Download it now!
Bug 90605 - FILESAVE : PPTX Line shape style was not exported
Summary: FILESAVE : PPTX Line shape style was not exported
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Priyanka Gaikwad
URL:
Whiteboard: target:5.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-04-14 09:10 UTC by Priyanka Gaikwad
Modified: 2015-05-11 10:29 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
pptx with line shape (30.71 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2015-04-14 09:10 UTC, Priyanka Gaikwad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Priyanka Gaikwad 2015-04-14 09:10:10 UTC
Created attachment 114777 [details]
pptx with line shape

Problem description: 
<p:style> tag of line shape are not exported. It will cause the line shape with no style
.
Steps to reproduce:
1. Open .pptx (attached)
2. Save as .pptx
3. Open saved pptx

Current behavior:
After RT <p:style> tag of line shape are not exported

Expected behavior:
After RT <p:style> tag of line shape should export
Comment 1 Jorendc 2015-04-14 10:44:39 UTC
Synerzip -> ASSIGNED
Comment 2 A (Andy) 2015-04-17 20:53:05 UTC
Reproducible with LO 4.4.1.2, Win 8.1

Furthermore, if trying to open it in MSO it shows an error message.
Comment 3 Commit Notification 2015-04-21 19:38:03 UTC
PriyankaGaikwad committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60cbd35ce87cb34f01b9c3689e53379c49b6bfce

tdf#90605 : FILESAVE:PPTX Line shape style was not exported

It will be available in 5.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Akshay Anand 2015-05-11 10:29:06 UTC
Verified on LO Windows build ID :

Version: 5.0.0.0.alpha1+
Build ID: 5984cc83fe756f7483d1ac582b8adbef5042be8b
TinderBox: Win-x86@42, Branch:master, Time: 2015-05-07_05:11:59
Locale: en-US (en_US)

Issue has been fixed. Now, <p:style> tag of line shape is getting exported.